#include <TrainingSet.h>
#include <ComplexLayerNetwork.h>
#include <MultiLayerNetwork.h>
#include <Exception.h>

#include <vector>
#include <iostream>

using namespace std;
using namespace annie;

vector<real> real_pair(real a, real b){
  vector<real> rval;
  rval.push_back(a);
  rval.push_back(b);
  return rval;
}

vector<real> real_single(real a){
  vector<real> rval;
  rval.push_back(a);
  return rval;
}


int main(){

  try{
    ComplexLayerNetwork test(10);
    test.addLayer(8);
    test.addLayer(6);
    test.addLayer(5);
    /*
     * so, we could just manually connect every node here,
     * and that would be fine for a network this size,
     * but with thousands of nodes it would suck.
     * Is there a way to connect a layer to another layer,
     * rather than to the layer below it?  And if not,
     * should we write one?  Because it seems like this would
     * be nicer if we represented retinal hidden units and 
     * label hidden units as two separate layers that we could 
     * just connect fully to a combined layer.
     */

  }

  catch (Exception &e){
    cout << e.what() <<endl;
  }

  return 0;
}
